All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
matrix_maker< boost::numeric::ublas::matrix_range< MatrixT >, F > Struct Template Reference

`#include <matrix_product_float_double.hpp>`

## Public Types

typedef MatrixT::value_type | T
typedef viennacl::matrix_range < viennacl::matrix< T, F > > | result_type

## Static Public Member Functions

static result_type | make (viennacl::matrix< T, F > &M, boost::numeric::ublas::matrix_range< MatrixT > &base)

## Detailed Description

### template<class MatrixT, class F>
struct matrix_maker< boost::numeric::ublas::matrix_range< MatrixT >, F >

Definition at line 75 of file matrix_product_float_double.hpp.

## Member Typedef Documentation

template<class MatrixT , class F >

typedef viennacl::matrix_range< viennacl::matrix<T, F> > matrix_maker< boost::numeric::ublas::matrix_range< MatrixT >, F >::result_type

Definition at line 78 of file matrix_product_float_double.hpp.

template<class MatrixT , class F >

typedef MatrixT::value_type matrix_maker< boost::numeric::ublas::matrix_range< MatrixT >, F >::T

Definition at line 77 of file matrix_product_float_double.hpp.

## Member Function Documentation

template<class MatrixT , class F >

static result_type matrix_maker< boost::numeric::ublas::matrix_range< MatrixT >, F >::make | ( | viennacl::matrix< T, F > & | M,
|  | boost::numeric::ublas::matrix_range< MatrixT > & | base
| ) |  |

inline static

Definition at line 80 of file matrix_product_float_double.hpp.

The documentation for this struct was generated from the following file:

- tests/src/matrix_product_float_double.hpp